
# Tests de ScoDoc7

## Lancement interactif

Un script permet de lancer ScoDoc7 en mode interactif, et d'exécuter au préalable des scripts (de test ou de création d'objets divers).

    cd /opt/scodoc/Products/ScoDoc
    # Lance le script scotests/test_basic.py
    scotests/scointeractive.sh -r TEST00 scotests/test_basic.py

L'option `-r` utilisée ci-dessus va recréer la base SQL du département `TEST00` (et l'*effacer avant si elle existe*).

Attention: la base utilisateurs étant à part, s'assurer que les utilisateurs utilisés dans vos scripts de test existent au préalable.


## Tests unitaires

TODO (Fares)

## Tests Selenium (web)

TODO (Aurélien)

## Portail pour tests

Un faux portail "apogée" pour inscrire de faux étudiants avec photos. Utile pour tester les fonctions d'inscription/synchronisation, et aussi pour peupler rapidement une base de donnée.

Le code se trouve dans `scotests/fakeportal/`.

Le serveur écoute par défaut sur `tcp/8678`. Il faudra paramétrer l'URL du "portail" dans les préférences du ScoDoc à tester, qui est en général sur le même hôte, donc `http://localhost:8678`.

    /opt/scodoc/Products/ScoDoc/scotests/fakeportal/fakeportal.py 



