# Publication des notes aux étudiants

ScoDoc n'est pas et ne doit pas être accessible aux étudiants, principalement pour des raisons de sécurité. Seuls les personnels devraient avoir des comptes sur ScoDoc.

Pour communiquer aux étudiants leurs réultats, plusieurs solutions:

 - Envoi des bulletins (pdf) par mail (c'est facile depuis le menu "Notes").

 - Publication sur un autre site Web: typiquement l'ENT de l'établissement, ou un mini-site dédié. 
    - Pour interfacer un ENT, [voir l'API](ScoDocAPI.md).
    - Plusieurs collègues ont développé des mini-sites pour publier les notes (accès protégé par CAS ou autre). Ces codes ne font pas stricto censu partie de ScoDoc. Quelques exemples en PHP sont distribués dans le répertoire `misc/PublicationBulletins` ([voir ici](https://scodoc.org/git/viennet/ScoDoc/src/branch/master/misc/PublicationBulletins)).
    - Plus récemment (2020), des collègues de l'IUT de Mulhouse ont développé un mini-portail complet: [Scodoc_Notes](https://github.com/SebL68/Scodoc_Notes) (github), [historique](https://notes.iutmulhouse.uha.fr/maj.php).




